sc::SCMatrixCompositeSubblockIter(3)

NAME
sc::SCMatrixCompositeSubblockIter -

SYNOPSIS

Inherits sc::SCMatrixSubblockIter.

  Public Member Functions
SCMatrixCompositeSubblockIter (Access, int niter)
SCMatrixCompositeSubblockIter (Ref< SCMatrixSubblockIter > &, Ref< SCMatrixSubblockIter > &)
void set_iter (int i, const Ref< SCMatrixSubblockIter > &)
void begin ()
Start at the beginning.
int ready ()
Returns nonzero if there is another block.
void next ()
Proceed to the next block.
SCMatrixBlock * block ()
Return the current block.
int current_block () const

  Protected Attributes
int niters_
Ref< SCMatrixSubblockIter > * iters_
int iiter_

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.